petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexStratify

The Sieve DAG for most topologies is a graded poset (http://en.wikipedia.org/wiki/Graded_poset), and can be illustrated by Hasse Diagram (a http://en.wikipedia.org/wiki/Hasse_diagram). The strata group all points of the same grade, and this function calculates the strata. This grade can be seen as the height (or depth) of the point in the DAG.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexStratify(DM dm)

Collective on dm Many br

### Input Parameter

mesh -The DMPlex Many br

### Output Parameter

### Notes

Concretely, DMPlexStratify() creates a new label named "depth" containing the dimension of each element: 0 for vertices, Many br1 for edges, and so on. The depth label can be accessed through DMPlexGetDepthLabel() or DMPlexGetDepthStratum(), or Many brmanually via DMGetLabel(). The height is defined implicitly by height = maxDimension - depth, and can be accessed Many brvia DMPlexGetHeightStratum(). For example, cells have height 0 and faces have height 1. Many br

DMPlexStratify() should be called after all calls to DMPlexSymmetrize() Many br

Many br

### See Also

DMPlexCreate(), DMPlexSymmetrize()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html